# Budget
Budget helps you control your Mastodon's server bills and donations and share current financial status with your users by posting them via this Budget bot.

### Dependencies

-   **Python 3**
-   Postgresql server
-   Mastodon's bot account

### Usage:

Within Python Virtual Environment:

1. Run `pip install -r requirements.txt` to install needed Python libraries.

2. Run `python db-setup.py` to setup and create new Postgresql database and needed tables in it.  

3. Run `python setup.py` to get your Mastodon's bot account tokens and to be able to post your server's financial status.

4. Run `python addincome.py` to add your donations.  

5. Run `python addbill.py` to add your server or domain bills.  

6. Use your favourite scheduling method to set `python budget.py` to run regularly. It will post your finances to your fediverse server.

